create or replace package DOCX_SDT_IF_FALSE is
 -- Required procedure
  procedure genDOCX;
 
  -- Required variable
  v_docx blob;

  
end DOCX_SDT_IF_FALSE;
/
create or replace package body DOCX_SDT_IF_FALSE is
/* 2016-JAN-26 11:37 */
/* PL/PDF REPORTER 3.7.0 */
l_paragraph1 pls_integer;
l_text_idx1 pls_integer;
l_text_idx2 pls_integer;
l_text_idx3 pls_integer;
l_text_idx4 pls_integer;
procedure genDOCX is
 begin 
ploffx_docx.init( );
/* START PARAGRAPH */
l_paragraph1 := ploffx_docx.crParagraph();
l_text_idx1 := ploffx_docx.addText( p_paragraph_id => l_paragraph1, p_text => 'In paragraph text have some optinal text. It appears when the epxression is true: ');
if 3>5 then

l_text_idx2 := ploffx_docx.addText( p_paragraph_id => l_paragraph1, p_text => 'optional');
l_text_idx3 := ploffx_docx.addText( p_paragraph_id => l_paragraph1, p_text => ' text');
end if;
l_text_idx4 := ploffx_docx.addText( p_paragraph_id => l_paragraph1, p_text => ' ');
ploffx_docx.addParagraph(p_paragraph_id => l_paragraph1);
ploffx_docx.getDoc( p_blob_file => v_Docx);
end;
end DOCX_SDT_IF_FALSE;
/
